### YamlMime:ManagedReference
items:
- uid: Voile.IUpdatableSystem
  commentId: T:Voile.IUpdatableSystem
  id: IUpdatableSystem
  parent: Voile
  children:
  - Voile.IUpdatableSystem.Update(System.Double)
  langs:
  - csharp
  - vb
  name: IUpdatableSystem
  nameWithType: IUpdatableSystem
  fullName: Voile.IUpdatableSystem
  type: Interface
  source:
    remote:
      path: Voile/Source/Systems/ISystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IUpdatableSystem
    path: Source/Systems/ISystem.cs
    startLine: 19
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public interface IUpdatableSystem
    content.vb: Public Interface IUpdatableSystem
- uid: Voile.IUpdatableSystem.Update(System.Double)
  commentId: M:Voile.IUpdatableSystem.Update(System.Double)
  id: Update(System.Double)
  parent: Voile.IUpdatableSystem
  langs:
  - csharp
  - vb
  name: Update(double)
  nameWithType: IUpdatableSystem.Update(double)
  fullName: Voile.IUpdatableSystem.Update(double)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/ISystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Update
    path: Source/Systems/ISystem.cs
    startLine: 25
  assemblies:
  - Voile
  namespace: Voile
  summary: Updates this system.
  example: []
  syntax:
    content: void Update(double deltaTime)
    parameters:
    - id: deltaTime
      type: System.Double
      description: Time step.
    content.vb: Sub Update(deltaTime As Double)
  overload: Voile.IUpdatableSystem.Update*
  nameWithType.vb: IUpdatableSystem.Update(Double)
  fullName.vb: Voile.IUpdatableSystem.Update(Double)
  name.vb: Update(Double)
references:
- uid: Voile
  commentId: N:Voile
  href: Voile.html
  name: Voile
  nameWithType: Voile
  fullName: Voile
- uid: Voile.IUpdatableSystem.Update*
  commentId: Overload:Voile.IUpdatableSystem.Update
  href: Voile.IUpdatableSystem.html#Voile_IUpdatableSystem_Update_System_Double_
  name: Update
  nameWithType: IUpdatableSystem.Update
  fullName: Voile.IUpdatableSystem.Update
- uid: System.Double
  commentId: T:System.Double
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.double
  name: double
  nameWithType: double
  fullName: double
  nameWithType.vb: Double
  fullName.vb: Double
  name.vb: Double
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
